[lucid, intel] After suspend, flickering screen and then blank screen.

Bug #492392 reported by Russell Green on 2009-12-04
148
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
linux (Ubuntu)
Medium
Steve Conklin
Lucid
Medium
Unassigned

Bug Description

This bugfix is included in the DRM update to 2.6.33.5 upstream stable (see Bug #588832).

---

This is a regression introduced by the .32 kernel its also present on a stock .32 kernel.After resuming from suspend I'm experiencing an issue where my screen flickers then eventually goes blank, normally black although its been white or blue on occasions.At first I though this was a KMS issue but after disabling KMS its still present.I'm not sure how to debug this further so any advice would be appreciated.

Thanks

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: russell 2541 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x58540000 irq 16'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1025015b,00100101'
   Controls : 8
   Simple ctrls : 5
Date: Fri Dec 4 17:11:54 2009
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=c6121e47-8bbf-424a-a311-ba46caf4b2d4
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: Acer AOA150
Package: linux-image-2.6.32-5-generic 2.6.32-5.6
ProcCmdLine: root=UUID=4a73a002-8e9f-4fa2-ba4c-4c8418bfd63f ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-5.6-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.27
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Tags: lucid ubuntu-unr regression-potential
TestedUpstream: Yes
Uname: Linux 2.6.32-5-generic i686
dmi.bios.date: 10/06/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3310
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3310:bd10/06/2008:svnAcer:pnAOA150:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA150
dmi.product.version: 1
dmi.sys.vendor: Acer

Russell Green (r.green) wrote :
tags: added: kernel-lucid

Hi Russell,

You mention you're able to reproduce this with a vanilla 2.6.32 upstream kernel. It would be good to also open an upstream bug report at bugzilla.kernel.org as well so that the upstream developers are also aware of the issue. If you could paste the link to the upstream bug here we can set up an upstream bug watch.

Next, it might be helpful to take a look at https://wiki.ubuntu.com/DebuggingKernelSuspendHibernateResume particularly the Debugging Suspend section. Any additional debug information you could collect and attach here would be most helpful. Thanks!

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Russell Green (r.green) wrote :

Thanks, I'm going through the documentation right now.

After suspending from VT1 using pm-suspend the only output I got was

"PM: Device PNP0C0D:00 failed to resume: error 1"

After the screen goes blank the system is still active so I'm going to try and induce the bug then try and collect some information to try and see what actually happens.

I will add a bug report upstream aswell. :)

Russell Green (r.green) wrote :

Is there in outputs in particular that would be useful to you?

Andy Whitcroft (apw) on 2009-12-08
tags: removed: kernel-lucid
Max Bowsher (maxb) wrote :

I'm seeing this too. Certainly there seems to have been a lot of i915 changes landing for 2.6.32. Are there any instructions on how best to go about bisecting the kernel on Ubuntu?

Max Bowsher (maxb) wrote :

I've been trying to localize the problem and have just experienced the bug running a 2.6.32-rc3 kernel.

Next to nothing happened to i915 between -rc1 and -rc3, but there was a *big* drm-intel merge that landed shortly before -rc1.

Max Bowsher (maxb) wrote :

Hi Russell,

Did you file a bug upstream already? If so, could you link to it?

Thanks.

Max Bowsher (maxb) wrote :

Reproduced on 2.6.32-rc1

Max Bowsher (maxb) wrote :

I've been giving 2.6.32.2 a try... although it has not *yet* gone to blank screen, it's been flickering and glitching just the same, so problem not fixed there.

Max Bowsher (maxb) wrote :

Spoke too soon... got the blank screen part of the bug in 2.6.32.2 too.

Robert Hooker (sarvatt) wrote :

I've also had this problem for some time on 2.6.32 since the early RC's, this commit completely fixes the problem here but does not apply to 2.6.32.y and a fixed up one has not been submitted to stable yet.

http://git.kernel.org/?p=linux/kernel/git/anholt/drm-intel.git;a=commit;h=cf74ecbbff3e3b45bae61d28d2220f74d853e2f0

Late in the 2.6.32 development time drm-intel-next did fix the random flickering after resume for me, but the hanging on a solid color still happened eventually until the above commit.

Here is a bug on the kernel bugzilla regarding it:
http://bugzilla.kernel.org/show_bug.cgi?id=14781

This problem also affects some people on other distros as soon as X starts, but for me it is only triggered after a resume.
https://bugs.freedesktop.org/show_bug.cgi?id=25371

Matt Behrens (zigg) wrote :

This behavior seems to also trigger after using the Display control panel. I had done some switching around to try to set up dual-head on my Eee PC 1000HE, and am now noticing the flickering.

Reinhard Tartler (siretart) wrote :

The following command avoids this bug for me:

  echo "options i915 powersave=0" | sudo tee /etc/modprobe.d/i915
  sudo reboot

Matt Behrens (zigg) wrote :

I'm not sure if this is productive or not, but I've been trying to recompile the i915 drm module with changes from the kernel bug, using Martin Pitt's procedure at https://wiki.ubuntu.com/KernelCustomBuild#line-10, plus an update-initramfs because I was under the impression that was necessary these days...

It hasn't been working; still getting the flickering on my Eee PC 1000HEB. I will try the powersave workaround next.

If someone with knowledge of this area would be willing to guide me, I'm willing to try a number of things to get this one fixed. It's pretty much all that's wrong with lucid for me right now.

Matt Behrens (zigg) wrote :

I'm not able to comment on this bug anymore. I had a hardware failure on my lucid system so I'm unfortunately out of testing for now.

However, I did note that the powersave workaround was doing the trick for me.

Max Bowsher (maxb) wrote :

For the sake of confirmation, this remains a problem in lucid 2.6.32-10. I am having to use a forward-port of 2.6.31's i915 module to make lucid a usable option for me.

Julian Kalinowski (julakali) wrote :

Powersave workaround didn't work for me (Thinkpad X60s).
Kernel works fine without using standby/suspend to disk though..

Launchpad Janitor (janitor) wrote :
Download full text (15.5 KiB)

This bug was fixed in the package linux - 2.6.32-11.15

---------------
linux (2.6.32-11.15) lucid; urgency=low

  [ Andy Whitcroft ]

  * Revert "(pre-stable) drm/radeon/kms: fix crtc vblank update for r600"
  * Revert "(pre-stable) sched: Fix balance vs hotplug race"
  * Revert "[Upstream] acerhdf: Limit modalias matching to supported
    boards"
  * Revert "[Upstream] mmc: prevent dangling block device from accessing
    stale queues"
  * Revert "SAUCE: Fix nx_enable reporting"
  * Revert "SAUCE: [x86] fix report of cs-limit nx-emulation"
  * Revert "SAUCE: [x86] implement cs-limit nx-emulation for ia32"
  * SAUCE: i915 -- disable powersave by default
    - LP: #492392

  [ Kees Cook ]

  * SAUCE: [x86] implement cs-limit nx-emulation for ia32
    - LP: #369978
  * SAUCE: [x86] fix report of cs-limit nx-emulation
    - LP: #454285
  * SAUCE: Fix nx_enable reporting
    - LP: #454285

  [ Tim Gardner ]

  * [Upstream] b43: Declare all possible firmware files.
    - LP: #488636
  * [Config] updateconfigs after adding pvscsi
    - LP: #497156
  * [Config] CONFIG_BT=m

  [ Upstream Kernel Changes ]

  * Revert "x86: Side-step lguest problem by only building cmpxchg8b_emu
    for pre-Pentium"
  * SCSI: ipr: fix EEH recovery
  * SCSI: qla2xxx: dpc thread can execute before scsi host has been added
  * SCSI: st: fix mdata->page_order handling
  * SCSI: fc class: fix fc_transport_init error handling
  * sched: Fix task_hot() test order
  * x86, cpuid: Add "volatile" to asm in native_cpuid()
  * sched: Select_task_rq_fair() must honour SD_LOAD_BALANCE
  * clockevents: Prevent clockevent_devices list corruption on cpu hotplug
  * pata_hpt3x2n: fix clock turnaround
  * pata_cmd64x: fix overclocking of UDMA0-2 modes
  * ASoC: wm8974: fix a wrong bit definition
  * sound: sgio2audio/pdaudiocf/usb-audio: initialize PCM buffer
  * ALSA: hda - Fix missing capsrc_nids for ALC88x
  * acerhdf: limit modalias matching to supported
    - LP: #435958
  * ACPI: EC: Fix MSI DMI detection
  * ACPI: Use the return result of ACPI lid notifier chain correctly
  * powerpc: Handle VSX alignment faults correctly in little-endian mode
  * ASoC: Do not write to invalid registers on the wm9712.
  * drm/radeon: fix build on 64-bit with some compilers.
  * USB: emi62: fix crash when trying to load EMI 6|2 firmware
  * USB: option: support hi speed for modem Haier CE100
  * USB: Fix a bug on appledisplay.c regarding signedness
  * USB: musb: gadget_ep0: avoid SetupEnd interrupt
  * Bluetooth: Prevent ill-timed autosuspend in USB driver
  * USB: rename usb_configure_device
  * USB: fix bugs in usb_(de)authorize_device
  * drivers/net/usb: Correct code taking the size of a pointer
  * x86: SGI UV: Fix writes to led registers on remote uv hubs
  * md: Fix unfortunate interaction with evms
  * dma: at_hdmac: correct incompatible type for argument 1 of
    'spin_lock_bh'
  * dma-debug: Do not add notifier when dma debugging is disabled.
  * dma-debug: Fix bug causing build warning
  * cifs: NULL out tcon, pSesInfo, and srvTcp pointers when chasing DFS
    referrals
  * x86/amd-iommu: Fix initialization failure panic
  * ioat3: fix p-disabled q-continuation
  * ioat2,3: put channel...

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Tom Jaeger (thjaeger) wrote :

Andy,
As far as I can tell, this issue has been fixed upstream in the stable tree, and the fix is already in the ubuntu kernel:

http://bugzilla.kernel.org/show_bug.cgi?id=14781

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-lucid.git;a=commit;h=b9e13497d8cdc40e74a4f14faaa255a0051bb1db

So there should be no need to disable powersaving for everyone.

Robert Hooker (sarvatt) wrote :

The 965 flickering is a seperate issue and that commit does not fix the post-resume flickering issues caused by powersave on 945 that alot of us are having unfortunately. 965's were having the flickering straight after boot because of render reclock issues that the fix in that bug addressed.

If that's the case, why is the workaround not limited to 945? I think
such a workaround is a bad idea anyway: Not having this linked to an
upstream bug virtually guarantees that even if the issue gets fixed
upstream we won't notice and continue to waste power.

Robert Hooker wrote:
> The 965 flickering is a seperate issue and that commit does not fix the
> post-resume flickering issues caused by powersave on 945 that alot of us
> are having unfortunately. 965's were having the flickering straight
> after boot because of render reclock issues that the fix in that bug
> addressed.

Steffen Röcker (sroecker) wrote :

I can't comment on this bug, because sleep seems to be broken for me, but this patch fixes bug #506444 for me.

AmenophisIII (amenophisiii) wrote :

disabling powersaving for i915 (if the changelog message is correct) is NOT a fix imho.

it seems to "fix" LP:379780 too.

ubukool (kpagpa) wrote :

I installed Lucid alpha 3 yesterday and I have a black screen after resuming from suspend. I have to reboot and start again.

Robert Hooker (sarvatt) wrote :

Reopening because the powersave=0 module option default was dropped with the .33 kernel drm backport.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Robert Hooker (sarvatt) wrote :

With .33's DRM, the flickering is gone but the hangs are still present. When it hangs, intel_gpu_top shows it using 100% of the GPU for framebuffer compression. Suspending/resuming again after it hangs on a black screen corrects it in my case, as does booting with i915.powersave=0

8086:27ae:1025:015b Intel Corporation Mobile 945GME Express Integrated Graphics Controller rev 3

Robert Hooker (sarvatt) wrote :

Can you please try with the attach patch added to the kernel? .deb's are available here

http://people.canonical.com/~apw/i915-fbc-broken-lucid/

This has fixed the issue for me.

tags: added: patch
yakuizhao (yakui-zhao) wrote :

Can the issue be reproduced if we do the suspend/resume under the console mode?

Can someone try the attached debug patch and see whether the issue still exists?

thanks.

holstein (mikeholstein) wrote :

uname -a Linux 2.6.32-17-generic #26~i915fbcbroken201003191019 SMP Fri Mar 19 10:16:43 UTC 2010 i686 GNU/Linux

i installed this kernel last nite (about 10 hours ago), booted into it, put my EEEpc to sleep and woke it up... i left it on overnite, and it still has video... seems like the patch is working great...

i couldnt figure out how to apply the .patch, so i went for the .deb... i tried 'patch -Np0 0001-drm-i915-Don-t-save-restore-FBC-control-register.patch' and the terminal seemed just sit there locked up... im sure thats on my end somewhere, but i know how to install a .deb, and that seems to do the trick... thanks

holstein (mikeholstein) wrote :

HOWEVER, running uname -a Linux 2.6.32-17-generic #26-Ubuntu SMP Fri Mar 19 23:58:53 UTC 2010 i686 GNU/Linux

i got the flickering and blank screen again

Andy Whitcroft (apw) on 2010-03-30
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package linux - 2.6.32-19.28

---------------
linux (2.6.32-19.28) lucid; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable various multitouch devices
    - LP: #541453

  [ Chase Douglas ]

  * (pre-stable): input: ALPS - Add signature for HP Pavilion dm3 laptops
    - LP: #545307
  * SAUCE: Disable function tracing after hitting __schedule_bug
  * SAUCE: Reduce ACPI resource conflict message to KERN_INFO, printf
    cleanup
    - LP: #440470

  [ Jesse Barnes ]

  * SAUCE: drm/i915: don't change DRM configuration when releasing load
    detect pipe
    - LP: #488328

  [ John Johansen ]

  * SAUCE: AppArmor: Remove null_profile's use of PFLAG_NO_LIST_REF
    - LP: #539437
  * SAUCE: AppArmor: Stop page allocation warnings that can occur on policy
    load
    - LP: #458299
  * SAUCE: AppArmor: Return string len rather than the allocation size
    - LP: #551844
  * SAUCE: AppArmor: Fix oops in profile verification if profile unpack
    fails.

  [ Luke Yelavich ]

  * [Config] Enable Nouveau DRM module on powerpc

  [ Stefan Bader ]

  * SAUCE: Pull in thinkpad-acpi from v2.6.34-rc1
    - LP: #357673
  * [Config] Enable thinkpad-acpi ALSA volume control
    - LP: #357673

  [ Steve Conklin ]

  * SAUCE: drm/i915: Disable FBC on 915GM and 945GM
    - LP: #492392, #539609

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) drm/i915: blacklist lid status: Sony VGN-BX196VP,
    Dell Inspiron 700m"
    - LP: #515246
  * (pre-stable) softlockup: Stop spurious softlockup messages due to
    overflow
    - LP: #551068
  * backlight: mbp_nvidia_bl - add five more MacBook variants
    - LP: #511965
  * drm/nv04-nv40: Fix up the programmed horizontal sync pulse delay.
    - LP: #529130
  * drm/nouveau: Fix fbcon corruption with font width not divisible by 8
    - LP: #544739
  * (pre-stable) USB: fix usbfs regression
  * drm/radeon/bo: add some fallback placements for VRAM only objects.
    - LP: #507148
  * drm/radeon/kms: don't print error on -ERESTARTSYS.
    - LP: #507148
  * Input: add the ABS_MT_PRESSURE event
    - LP: #541453
  * HID: Support for 3M multitouch panel
    - LP: #541453
  * HID: make 3M PCT touchscreen driver standalone config option
    - LP: #541453
  * HID: add support for Stantum multitouch panel
    - LP: #541453
  * HID: make Stantum driver standalone config option
    - LP: #541453
  * HID: add support for Acer T230H multitouch
    - LP: #541453
  * HID: add support for Pixart Imaging Optical Touch Screen
    - LP: #541453
  * HID: fixed bug in single-touch emulation on the stantum panel
    - LP: #541453
  * HID: add pressure support for the Stantum multitouch panel
    - LP: #541453
  * HID: Support for MosArt multitouch panel
    - LP: #541453
  * HID: hid-ntrig add multi input quirk and clean up
    - LP: #541453
  * HID: n-trig: remove unnecessary tool switching
    - LP: #541453
  * HID: hid-ntrig: multitouch cleanup and fix
    - LP: #541453
  * HID: hid-ntrig: Single touch mode tap
    - LP: #541453
  * hid: ntrig touch events
    - LP: #541453
  * (pre-stable) x86-32, resume: do a global tlb flush in S4 resume
    - LP: #531309
  * drm/i915: Part of: Add initial bits for VGA mode...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Stefan Bader (smb) on 2010-06-10
description: updated
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
status: New → In Progress
status: In Progress → Fix Committed

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (25.2 KiB)

This bug was fixed in the package linux - 2.6.32-23.37

---------------
linux (2.6.32-23.37) lucid-proposed; urgency=low

  [ Alex Deucher ]

  * SAUCE: drm/radeon/kms/atom: fix dual-link DVI on DCE3.2/4.0
    - LP: #564559

  [ Andy Whitcroft ]

  * [Config] ports -- build in dm-mod to enable LVM boot
    - LP: #560717
  * tools -- fix perf version extraction for multi-part flavours
    - LP: #555130
  * SAUCE: ACPI: EC: Allow multibyte access to EC (v3)
    - LP: #526354
  * [Config] enforce -- ensure dm_mod is built-in for LVM
    - LP: #560717
  * update to ubuntu-debian:7e708d33054c373faf41da23b73e8b48c342d958
    - LP: #570500, #576274

  [ Chase Douglas ]

  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625
  * Enable ftrace function profiler
    - LP: #570389
  * enforce CONFIG_TMPFS_POSIX_ACL=y
    - LP: #575940

  [ Leann Ogasawara ]

  * Revert "staging/comdi -- disable"
    - LP: #563436
  * [Config] Enable multicast routing for sparc
    - LP: #416266
  * [Config] Add ahci.ko to virtual sub-flavour
    - LP: #570542

  [ Stefan Bader ]

  * Revert "SAUCE: drm/i915: Disable FBC on 915GM and 945GM"
    - LP: #588832

  [ Tim Gardner ]

  * ubuntu: rtl8192se -- update to version 0015.0127.2010
    - LP: #567016
  * [Config] Add atl1c to nic-modules udeb
    - LP: #557130

  [ Upstream Kernel Changes ]

  * Revert "(pre-stable) iwlwifi: fix nfreed--"
    - LP: #575853
  * Revert "backlight: mbp_nvidia_bl - add five more MacBook variants"
    - LP: #575853
  * Revert "(pre-stable) pata_via: Add VIA VX900 support"
    - LP: #575853
  * Revert "(pre-stable) x86-32, resume: do a global tlb flush in S4
    resume"
    - LP: #575853
  * Revert "x86: disable IOMMUs on kernel crash"
    - LP: #575853
  * Revert "sunrpc: fix peername failed on closed listener"
    - LP: #575853
  * Revert "sunrpc: move the close processing after do recvfrom method"
    - LP: #575853
  * Revert "(pre-stable) drm/edid: allow certain bogus edids to hit a fixup
    path rather than fail"
    - LP: #575853
  * Revert "drm/radeon/kms: don't print error on -ERESTARTSYS."
    - LP: #575853
  * Revert "ath9k: fix lockdep warning when unloading module" on stable
    kernels
    - LP: #588832
  * Staging: comedi: removed "depricated" from COMEDI_CB_BLOCK
    - LP: #483343
  * fat: fix buffer overflow in vfat_create_shortname()
    - LP: #575853
  * xfs: simplify inode teardown
    - LP: #575853
  * xfs: fix mmap_sem/iolock inversion in xfs_free_eofblocks
    - LP: #575853
  * xfs: I/O completion handlers must use NOFS allocations
    - LP: #575853
  * xfs: Wrapped journal record corruption on read at recovery
    - LP: #575853
  * xfs: Fix error return for fallocate() on XFS
    - LP: #575853
  * xfs: check for not fully initialized inodes in xfs_ireclaim
    - LP: #575853
  * xfs: fix timestamp handling in xfs_setattr
    - LP: #575853
  * xfs: Don't flush stale inodes
    - LP: #575853
  * xfs: Ensure we force all busy extents in range to disk
    - LP: #575853
  * xfs: reclaim inodes under a write lock
    - LP: #575853
  * xfs: Avoid inodes in reclaim when flushing from inode cache
    - LP: #575853
  * xfs: recla...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.